Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(60)

Issue 97800043: code review 97800043: go.net/ipv4: add support for dragonfly (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 3 months ago by mikio
Modified:
8 years, 3 months ago
Reviewers:
iant
CC:
golang-codereviews, gobot, iant
Visibility:
Public.

Description

go.net/ipv4: add support for dragonfly, enable IP_PKTINFO on darwin This CL adds support for dragonfly and IP_PKTINFO support for darwin with less dependency on syscall package. Update issue 7175 Fixes issue 7172.

Patch Set 1 : diff -r 424a15ce8b2f https://code.google.com/p/go.net #

Patch Set 2 : diff -r 88fa30947066 https://code.google.com/p/go.net #

Total comments: 6

Patch Set 3 : diff -r f3fd9e904a78 https://code.google.com/p/go.net #

Patch Set 4 : diff -r 9c33002573cb https://code.google.com/p/go.net #

Patch Set 5 : diff -r 9c33002573cb https://code.google.com/p/go.net #

Unified diffs Side-by-side diffs Delta from patch set Stats (+519 lines, -511 lines) Patch
M ipv4/control_bsd.go View 1 2 3 chunks +81 lines, -60 lines 0 comments Download
M ipv4/control_linux.go View 1 2 2 chunks +39 lines, -81 lines 0 comments Download
A ipv4/control_nonpktinfo.go View 1 2 1 chunk +11 lines, -0 lines 0 comments Download
A ipv4/control_pktinfo.go View 1 2 1 chunk +30 lines, -0 lines 0 comments Download
M ipv4/control_stub.go View 1 chunk +1 line, -1 line 0 comments Download
M ipv4/control_unix.go View 1 2 2 chunks +8 lines, -86 lines 0 comments Download
M ipv4/dgramopt_posix.go View 1 chunk +1 line, -1 line 0 comments Download
M ipv4/dgramopt_stub.go View 1 chunk +1 line, -1 line 0 comments Download
M ipv4/genericopt_posix.go View 1 chunk +1 line, -1 line 0 comments Download
M ipv4/genericopt_stub.go View 1 chunk +1 line, -1 line 0 comments Download
R ipv4/helper_posix.go View 1 2 1 chunk +0 lines, -42 lines 0 comments Download
M ipv4/helper_stub.go View 1 chunk +1 line, -1 line 0 comments Download
M ipv4/helper_unix.go View 1 chunk +1 line, -1 line 0 comments Download
M ipv4/packet.go View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M ipv4/payload.go View 2 chunks +1 line, -67 lines 0 comments Download
M ipv4/payload_cmsg.go View 1 2 3 chunks +4 lines, -10 lines 0 comments Download
M ipv4/payload_noncmsg.go View 1 2 4 chunks +6 lines, -45 lines 0 comments Download
M ipv4/sockopt_bsd.go View 1 2 3 7 chunks +11 lines, -27 lines 0 comments Download
R ipv4/sockopt_freebsd.go View 1 2 1 chunk +0 lines, -22 lines 0 comments Download
M ipv4/sockopt_linux.go View 1 2 3 4 chunks +10 lines, -38 lines 0 comments Download
A ipv4/sockopt_mreq.go View 1 2 3 1 chunk +29 lines, -0 lines 0 comments Download
A ipv4/sockopt_mreqn.go View 1 2 3 1 chunk +29 lines, -0 lines 0 comments Download
A ipv4/sockopt_nonpktinfo.go View 1 2 1 chunk +15 lines, -0 lines 0 comments Download
A ipv4/sockopt_pktinfo.go View 1 2 1 chunk +24 lines, -0 lines 0 comments Download
M ipv4/sockopt_stub.go View 1 chunk +1 line, -1 line 0 comments Download
M ipv4/sockopt_unix.go View 1 2 6 chunks +9 lines, -9 lines 0 comments Download
M ipv4/sockopt_windows.go View 1 2 3 7 chunks +14 lines, -14 lines 0 comments Download
A ipv4/sys.go View 1 2 3 1 chunk +9 lines, -0 lines 0 comments Download
A ipv4/sys_bsd.go View 1 2 3 1 chunk +37 lines, -0 lines 0 comments Download
A ipv4/sys_darwin.go View 1 2 1 chunk +27 lines, -0 lines 0 comments Download
A ipv4/sys_linux.go View 1 2 1 chunk +47 lines, -0 lines 0 comments Download
A ipv4/sys_mreq.go View 1 2 3 1 chunk +37 lines, -0 lines 0 comments Download
A ipv4/sys_windows.go View 1 2 3 1 chunk +31 lines, -0 lines 0 comments Download

Messages

Total messages: 17
mikio
Hello golang-codereviews@googlegroups.com (cc: golang-codereviews@googlegroups.com), I'd like you to review this change to https://code.google.com/p/go.net
8 years, 3 months ago (2014-04-29 01:47:36 UTC) #1
gobot
R=iant@golang.org (assigned by mikioh.mikioh@gmail.com)
8 years, 3 months ago (2014-05-01 21:14:39 UTC) #2
mikio
ping
8 years, 3 months ago (2014-05-05 17:12:16 UTC) #3
mikio
ping do you have a spare time to have a look at this cl? almost ...
8 years, 3 months ago (2014-05-09 23:44:18 UTC) #4
iant
Sorry, this fell out of my e-mail for some reason. I don't really see the ...
8 years, 3 months ago (2014-05-10 00:02:55 UTC) #5
mikio
On Sat, May 10, 2014 at 9:02 AM, <iant@golang.org> wrote: > I don't really see ...
8 years, 3 months ago (2014-05-10 00:35:13 UTC) #6
iant
On Fri, May 9, 2014 at 5:35 PM, Mikio Hara <mikioh.mikioh@gmail.com> wrote: > On Sat, ...
8 years, 3 months ago (2014-05-10 00:43:44 UTC) #7
mikio
On Sat, May 10, 2014 at 9:43 AM, Ian Lance Taylor <iant@golang.org> wrote: > I ...
8 years, 3 months ago (2014-05-10 02:10:38 UTC) #8
mikio
On Sat, May 10, 2014 at 11:10 AM, Mikio Hara <mikioh.mikioh@gmail.com> wrote: > ah, you ...
8 years, 3 months ago (2014-05-10 02:14:09 UTC) #9
mikio
On Sat, May 10, 2014 at 9:02 AM, <iant@golang.org> wrote: > https://codereview.appspot.com/97800043/diff/80001/ipv4/sys_dragonfly.go#newcode5 > ipv4/sys_dragonfly.go:5: // ...
8 years, 3 months ago (2014-05-10 23:52:58 UTC) #10
mikio
*** Abandoned ***
8 years, 3 months ago (2014-05-14 02:49:12 UTC) #11
mikio
On Wed, May 14, 2014 at 11:49 AM, <mikioh.mikioh@gmail.com> wrote: > *** Abandoned *** nope, ...
8 years, 3 months ago (2014-05-14 03:12:37 UTC) #12
mikio
PTAL https://codereview.appspot.com/97800043/diff/80001/ipv4/sys_bsd.go File ipv4/sys_bsd.go (right): https://codereview.appspot.com/97800043/diff/80001/ipv4/sys_bsd.go#newcode10 ipv4/sys_bsd.go:10: // See /usr/include/netinet/in.h. restored as much as possible. ...
8 years, 3 months ago (2014-05-14 13:09:00 UTC) #13
iant
I'm not comfortable signing off on code that duplicates the syscall package, especially things like ...
8 years, 3 months ago (2014-05-14 18:04:57 UTC) #14
mikio
PTAL I dropped syscall duplicates a bit. On Thu, May 15, 2014 at 3:04 AM, ...
8 years, 3 months ago (2014-05-15 05:14:13 UTC) #15
iant
LGTM Thanks for adjusting it.
8 years, 3 months ago (2014-05-15 23:31:13 UTC) #16
mikio
8 years, 3 months ago (2014-05-19 03:20:16 UTC) #17
*** Submitted as
https://code.google.com/p/go/source/detail?r=24215f4c3dea&repo=net ***

go.net/ipv4: add support for dragonfly, enable IP_PKTINFO on darwin

This CL adds support for dragonfly and IP_PKTINFO support for darwin
with less dependency on syscall package.

Update issue 7175
Fixes issue 7172.

LGTM=iant
R=golang-codereviews, gobot, iant
CC=golang-codereviews
https://codereview.appspot.com/97800043
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b